
use northwind
go

select * from orders
go

sp_helpindex 'orders'
go

-- index seek
select orderid, customerid, orderdate from orders 
  where orderdate >= '1997-03-24' and OrderDate < '1997-03-25';

-- index scan  
select orderid, customerid, orderdate from orders 
  where convert(varchar(10), orderdate, 20) = '1997-03-24';
  
-- index seek, cheaper plan than first one  
select orderid, customerid, orderdate from orders 
  where convert(date, orderdate) = '1997-03-24';