﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


[Serializable]
[Microsoft.SqlServer.Server.SqlUserDefinedAggregate(Format.UserDefined, MaxByteSize=-1,IsNullIfEmpty=true)]
public struct Concatenate : IBinarySerialize
{
    String theanswer;

    public void Init()
    {
        theanswer = "";
    }

    public void Accumulate(SqlString Value)
    {
        if (Value.IsNull)
            return;
        theanswer += Value.Value;
    }

    public void Merge(Concatenate Group)
    {
        theanswer += Group.theanswer;
    }

    public SqlString Terminate()
    {
        return theanswer;
    }

    public void Read(System.IO.BinaryReader r)
    {
        theanswer = r.ReadString();
    }

    public void Write(System.IO.BinaryWriter w)
    {
        // the values will always be non-null
        w.Write(theanswer);
    }
}
