
use mondial
go

select * from economy order by inflation desc
go

select p.*, c.name from population p
join country c
on p.country = c.code
order by infant_mortality desc
go

select c.name, p.* from politics p
join country c
on p.country = c.code
where YEAR(Independence) < 1753
order by independence
GO

select c.name as [Country Name], 
       CONVERT(VARCHAR(12), p.Independence, 107) as [Independence Date],
       DATEDIFF(YEAR, p.Independence, sysdatetime()) as [Years Independent (appox)],
       p.Government
from politics p
join country c
on p.country = c.code
where YEAR(Independence) < 1753
order by independence
GO

select ISDATE(p.Independence)
from politics p
go

select * from politics p
where p.independence is null
order by country 
go

update politics 
set independence = GETDATE()
where country = 'AND'