--
go
create table spatialtab( id int identity(1,1) primary key ,col1 geometry)
go
create spatial index IX_sspatialtab_col1 on spatialtab(col1) 
WITH (BOUNDING_BOX=(0,0,512,512), 
      GRIDS =(LOW,LOW,LOW,LOW))
go
create spatial index IX_sspatialtab_col1 on spatialtab(col1) 
WITH (BOUNDING_BOX=(0,0,512,512),
      GRIDS =(LOW,LOW,LOW,LOW),
      CELLS_PER_OBJECT=5)
go
set nocount on
declare @i int = 0
while @i < 1000
  begin
  insert into spatialtab 
  select Geometry::Point(cast(cast(newid() as varbinary(4))as int)%100,cast(cast(newid() as varbinary(4))as int)%100,0)
  set @i += 1
  end
go
select col1 
from spatialtab
where col1.STIntersects('POLYGON((10 10,10 20, 20 20, 20 10, 10 10))')= 1
go
select col1 
from spatialtab
where col1.STIntersects('POLYGON((10 10,10 20, 20 20, 20 10, 10 10))')= 1

select * 
from spatialtab
where col1.STIntersects('POLYGON((10 10,300 10, 300 300, 10 300, 10 10))')= 1

select * from sys.spatial_index_tessellations
select * from sys.spatial_indexes
select * from sys.internal_tables
select * from sys.extended_index_565577053_64000 order by pk0

sp_help 'sys.spatial_index_tessellations'
sp_help 'sys.extended_index_565577053_64000'